IF = {
    limit = { has_character_flag = {{enabled_flag}}}
    {{set_event_target}}
    IF = {
        limit = {
            NOT = {                
                {% for x in flags -%}
                has_character_flag = {{x}}
                {% endfor -%}	
                }
            }
        character_event = { id = {{start_event}} days = 1}
        }
    }